Index: trunk/cmake-modules/FlairUseFile.cmake
===================================================================
--- trunk/cmake-modules/FlairUseFile.cmake	(revision 44)
+++ trunk/cmake-modules/FlairUseFile.cmake	(revision 45)
@@ -17,4 +17,13 @@
 else()
 	message(STATUS "GCC version < 4.3, c+11 is not supported!")
+endif()
+
+#check if we have a flair-hds directory
+if (IS_DIRECTORY $ENV{FLAIR_ROOT}/flair-hds )
+	message("found flair-hds directory")
+	SET(FOUND_HDS_DIR TRUE)	
+  SET(FLAIRHDS_LIBRARY_DIR
+		$ENV{FLAIR_ROOT}/flair-hds/bin/lib/${ARCH_DIR}
+	)
 endif()
 
@@ -51,4 +60,15 @@
 SET(FLAIR_LIBRARIES FlairCore ${FLAIR_LIBRARIES})
 
+#vision filter lib
+IF (FLAIR_USE_VISION_FILTER)
+	if(FOUND_HDS_DIR)
+		SET(FLAIR_INCLUDE_DIR ${FLAIR_INCLUDE_DIR} $ENV{FLAIR_ROOT}/flair-hds/dev/include/VisionFilter)
+		SET(FLAIR_LIBRARIES ${FLAIRHDS_LIBRARY_DIR}/libVisionFilter.a ${FLAIRHDS_LIBRARY_DIR}/libdspcv_gpp.a ${FLAIR_LIBRARIES})
+  else()
+    SET(FLAIR_INCLUDE_DIR ${FLAIR_INCLUDE_DIR} $ENV{FLAIR_ROOT}/flair-dev/include/FlairVisionFilter)
+		SET(FLAIR_LIBRARIES ${FLAIR_LIBRARY_DIR}/libFlairVisionFilter.a ${FLAIR_LIBRARIES})
+	endif()
+ENDIF (FLAIR_USE_VISION_FILTER)
+
 #sensor and actuator lib
 IF (FLAIR_USE_SENSOR_ACTUATOR)
@@ -62,4 +82,5 @@
 	SET(FLAIR_LIBRARIES ${FLAIR_LIBRARY_DIR}/libFlairFilter.a iir ${FLAIR_LIBRARIES})
 ENDIF (FLAIR_USE_FILTER)
+
 
 #meta lib
@@ -107,20 +128,7 @@
 endif()
 
-#check if we have a flair-hds directory
-if (IS_DIRECTORY $ENV{FLAIR_ROOT}/flair-hds )
-	message("found flair-hds directory")
-	SET(FLAIRHDS_LIBRARY_DIR
-		$ENV{FLAIR_ROOT}/flair-hds/bin/lib/${ARCH_DIR}
-	)	
-
-	if(FLAIR_USE_FILTER)
-		SET(FLAIR_INCLUDE_DIR ${FLAIR_INCLUDE_DIR} $ENV{FLAIR_ROOT}/flair-hds/dev/include/VisionFilter)
-		SET(FLAIR_LIBRARIES_NRT ${FLAIRHDS_LIBRARY_DIR}/libVisionFilter.a ${FLAIRHDS_LIBRARY_DIR}/libdspcv_gpp.a ${FLAIR_LIBRARIES_NRT})
-		SET(FLAIR_LIBRARIES_RT ${FLAIRHDS_LIBRARY_DIR}/libVisionFilter.a ${FLAIRHDS_LIBRARY_DIR}/libdspcv_gpp.a ${FLAIR_LIBRARIES_RT})
-	endif()
-
-	if(FLAIR_USE_META AND "${CMAKE_SYSTEM_PROCESSOR}" MATCHES "arm")	
-		SET (ARDRONE2_LIB -Wl,--whole-archive ${FLAIRHDS_LIBRARY_DIR}/libFlairArdrone2.a -Wl,--no-whole-archive)
-		set(FLAIR_LIBRARIES_NRT ${ARDRONE2_LIB}  ${FLAIR_LIBRARIES_NRT} nmea)
-	endif()
+#add ardrone2 lib
+if(FOUND_HDS_DIR AND FLAIR_USE_META AND "${CMAKE_SYSTEM_PROCESSOR}" MATCHES "arm")	
+  SET (ARDRONE2_LIB -Wl,--whole-archive ${FLAIRHDS_LIBRARY_DIR}/libFlairArdrone2.a -Wl,--no-whole-archive)
+	set(FLAIR_LIBRARIES_NRT ${ARDRONE2_LIB}  ${FLAIR_LIBRARIES_NRT} nmea)
 endif()
Index: trunk/cmake-modules/svn_revision.cmake.in
===================================================================
--- trunk/cmake-modules/svn_revision.cmake.in	(revision 44)
+++ 	(revision )
@@ -1,10 +1,0 @@
-execute_process(COMMAND svnversion $ENV{IGEP_ROOT}/uav_lib OUTPUT_VARIABLE SVN_REV)
-string(REPLACE "\n" "" SVN_REV ${SVN_REV})
-#set(SVN_REV "svnversion of $ENV{IGEP_ROOT}/uav_lib is ${SVN_REV}")
-
-file(WRITE svnversion.h.txt "#define SVN_REV \"svnversion of $ENV{IGEP_ROOT}/uav_lib is ${SVN_REV}\\n\"\n")
-# copy the file to the final header only if the version changes
-# reduces needless rebuilds
-execute_process(COMMAND ${CMAKE_COMMAND} -E copy_if_different
-                        svnversion.h.txt @CMAKE_CURRENT_SOURCE_DIR@/src/unexported/svnversion.h)
-
Index: trunk/include/FlairCore/FrameworkManager.h
===================================================================
--- trunk/include/FlairCore/FrameworkManager.h	(revision 44)
+++ trunk/include/FlairCore/FrameworkManager.h	(revision 45)
@@ -109,4 +109,13 @@
   */
   void SetupLogger(std::string log_path);
+	
+	/*!
+  * \brief Get log path
+  *
+	* get the path defined by SetupLogger
+  *
+  * \return log path
+  */
+  std::string GetLogPath(void) const;
 
   /*!
Index: trunk/include/FlairVisionFilter/VisionFilter.h
===================================================================
--- trunk/include/FlairVisionFilter/VisionFilter.h	(revision 45)
+++ trunk/include/FlairVisionFilter/VisionFilter.h	(revision 45)
@@ -0,0 +1,14 @@
+#include <string>
+#include <cxtypes.h>
+
+/*!
+* \brief InitVisionFilter
+*
+* \return true
+*/
+
+bool InitVisionFilter(std::string args);
+
+void CloseVisionFilter(void);
+
+void saveToJpeg(IplImage* src_img,std::string filename,unsigned char compression_level=95);
Index: trunk/include/FlairVisionFilter/init.h
===================================================================
--- trunk/include/FlairVisionFilter/init.h	(revision 44)
+++ 	(revision )
@@ -1,16 +1,0 @@
-#include <string>
-
-/*!
-* \brief DSP setup
-*
-* Setup DSP executable file. \n
-* If this method is not called, no DSP processing will be available. \n
-*
-* \param file DSP executable file
-* \param globalTimeoutMs timeout for all DSP functions, in ms (timeout is only
-* used to display a warning. -1 to disable timeout
-*/
-void SetupDSP(std::string file,int globalTimeoutMs=-1);
-
-
-void CloseDSP(void);
Index: trunk/scripts/compile_info.sh
===================================================================
--- trunk/scripts/compile_info.sh	(revision 44)
+++ trunk/scripts/compile_info.sh	(revision 45)
@@ -1,3 +1,3 @@
-#usage svn_revision.sh gcc dir file
+#usage compile_info.sh gcc dir file
 #gcc: gcc path
 #dir: directory to get svn revision
Index: trunk/scripts/flair_compile_all.sh
===================================================================
--- trunk/scripts/flair_compile_all.sh	(revision 44)
+++ trunk/scripts/flair_compile_all.sh	(revision 45)
@@ -98,5 +98,5 @@
 	done
 
-	for projects in CircleFollower SimpleFleet Gps OpticalFlow; do
+	for projects in OpticalFlow CircleFollower SimpleFleet Gps; do
 		compile_uav_and_simulator_demo $FLAIR_ROOT/flair-src/demos $projects
 	done
